<?php
/*

 $Id: bug.php,v 1.13 2003/06/01 04:31:08 vollmerk Exp $
 $Source: /data/cvsroot/maint/docs/bug.php,v $

 Copyright (c) 2002 Oregon State University - Network Engineering
 All rights reserved.

 This program is free software; you can redistribute it and/or
 modify it under the terms of the GNU General Public License
 as published by the Free Software Foundation; either version 2
 of the License, or (at your option) any later version.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

*/
/*!
	@header Bug Reporing Document
	You can post a bug here ... bugs will go to $conf['support_email'].
*/

/* Start House Cleaning */
	require "../modules/config.php";

	check_session();

	setup_user_environment($action, $zone_id);
/* End House Cleaning */

//include the header
show_template('header');


/*!
	@function Submit_Bug
	@discussion This sends the bug to the support_email address
	@param $usename	The username to send to 
	@param $bug_report The actual report
*/
if ( $action == 'Submit Bug' AND $username AND $bug_report ) {
	$real_from    = "Bug Reporter <bug-report@net.orst.edu>";
        $mail_message = "Claims to be from: " . $username . "@onid.orst.edu\n\n" . $env_vars . "\n\n" . $bug_report;
        $mail_message = stripslashes($mail_message);
	$subject      = "Maintain " . $conf['VERSION'] . " Bug Report from ". $username . "@onid.orst.edu";

        // let's embed some information in the email
        $url = "http://" . $_SERVER["SERVER_NAME"] . $_SERVER["REQUEST_URI"];

	// woohoo!!
	
        mail ($conf['support_email'], $subject, $mail_message, 
                "Reply-To: " . $username . "@onid.orst.edu\r\n" .
                "From: $real_from\r\n" .
                "X-Mailer-URL: $url\r\n" .
                "X-Originating-IP: $REMOTE_ADDR");

        // tell them that it was sent
	$conf['ui']->display_confirmation("Bug Report Sent","Your bug report has been sent, we will let you know once the bug has been addressed",$conf['web_path'] . "/index.php");

}
/*!
	@function Submit_Bug2
	@discussion Failed bug submit
*/
elseif ( $action == 'Submit Bug') {
	$conf['error']->add_error('report',"Please complete the bug report form.");
}



if ( ($action == 'Submit Bug' AND $conf['error']->error_state) OR !$action) {
?>

<p class="header1">You've Found a Bug: Tell us about it</p>

<p>Please include as detailed as possible directions on how you were able to create the error. Thanks!
<? if ($conf['error']->get_status('report') ) { $conf['error']->show_message('report'); } ?>
</p>

<form name="post_bug" method="post" action="<?= $conf['web_path']; ?>/bug.php" encype="multipart/form-data" style="Display:inline" >
<? show_template('tborder'); ?>
<table border="0" cellpadding="2" cellspacing="0" width="100%">
	<tr class="widget-title">
    		<td valign="top" align="left">Username: </td>
                <td align="left">
			<?= $user->username ?>@onid.orst.edu
                        <input type="hidden" name="username" value="<?= $user->username ?>" />
                </td>
	</tr>
	<tr align = "left" bgcolor="<?= $conf['ui']->alternate_bgcolor(); ?>">
		<td valign="top">Environment Vars:</td>
		<td><textarea name="env_vars" cols="80" rows="20">
		##########################################
		# Your session information
		<?
		$user->_show();
		print "\n";
		if ($conf['zone']) { 
			$conf['zone']->_show(); 
			echo "\n"; 
			}
		?>
		#
		##########################################
		</textarea>
		</td>
	</tr>
        <tr bgcolor="<?= $conf['ui']->alternate_bgcolor(); ?>">
                <td align="left" valign="top">Bug Report: </td>
                <td align="left">
<textarea name="bug_report" cols="80" rows="15">
Enter any comments below:
</textarea>
                </td>
        </tr>
	<tr  bgcolor="<?= $conf['ui']->alternate_bgcolor(); ?>">
		<td>&nbsp;</td>
		<td>
			<input type="submit" name="action" value="Submit Bug" />&nbsp;&nbsp; 
			<input type="submit" name="action" value="Cancel" />
		</td>
	</tr>
</table>
<? show_template('bborder'); ?>
</form>
<? } //end of if not sent ?>


<? show_template('footer'); ?>
