<?php
/*

 $Id: staging.php,v 1.3 2003/07/16 21:15:12 vollmerk Exp $
 $Source: /data/cvsroot/maint/docs/staging.php,v $

 Copyright (c) 2002 Oregon State University - Network Engineering
 All rights reserved.

 This program is free software; you can redistribute it and/or
 modify it under the terms of the GNU General Public License
 as published by the Free Software Foundation; either version 2
 of the License, or (at your option) any later version.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

/*!
	@header Staging Document
	Create/edit/delete the staging database information.
*/

/* Start House Keeping */

	require("../modules/config.php");

	// make sure they are supposed to be here
	check_session();

	setup_user_environment($action, $zone_id);
/* End House Keeping */

// Only admins and zone admins should be here
if ( ! $user->is_admin ) {
        header("Location: " .  $conf['web_path'] . "/index.php");
	exit();
}

// process any submits that may come our way
$title = "Staging Database Information";

// first let's check the data for Create/Update
if ( $action == 'Create' || $action == 'Update' ) {
	# make sure the username is valid
	if ( !$username ) {
		$conf['error']->add_error('staging_username', "Please specify a valid username.");
	}
}

// now do things based on the form data
if ( $action == 'Create' || $action == 'Update' ) {
	if ( $conf['error']->error_state ) {
		// there was an error so set the appropriate action
		if ( $action == 'Create' ) {
			$action = 'show_create';
		}
		else {
			$action = 'edit';
			$stanging = new Staging($staging_id);
		}

		$staging->username = $username;
		$staging->zone     = $zone_id;
		$staging->email    = $email;
	}
	else {
		// create/update the stinkin' staging entry
		if ( $action == 'Create' ) {
			$sql = "INSERT INTO staging_permissions (username,zone,email) ".
				"VALUES ('$username', $zone_id, '$email')";
			$db_result = mysql_query($sql, $conf['dbh']);	
			$staging_id  = mysql_insert_id($conf['dbh']);
		}
		else {
			$sql = "UPDATE staging_permissions SET username='$username',zone=$zone_id,email='$email'".
			" WHERE id=$staging_id";
			$db_result = mysql_query($sql, $conf['dbh']);	
		}

		$action = 'edit';
		$staging = new Staging($staging_id);
	}
}
// this we're really deleting this zone
elseif ( $action == 'delete' && $really ) {
	$sql = "DELETE FROM staging_permissions WHERE id=$staging_id";
	$db_result = mysql_query($sql, $conf['dbh']);

	$action = 'show_stagings';
}
elseif ( $action == 'edit' ) {
		$staging = new Staging($staging_id);
}

show_template('header');

?>
<p align="left"><font class="header1"><?php echo $title ?></font></p>

<?php 

	$sql = "SELECT id FROM staging_permissions";

	if (!$user->view || $purge_view ) {
                $user->view = new View($sql);
        }

	if ($sort_type) {
		$user->view->initialize($sort_type,$sort_offset);
        }
        else {
		$user->view->initialize('username', $sort_offset);
        }


	if ( $action == 'edit' || $action == 'show_create' ) {
		// show the single staging form to edit
		$conf['ui']->show_staging($action, $staging);
	}
	elseif ( $action == 'show_stagings' ) {
		$db_result = mysql_query($user->view->get_query(), $conf['dbh']);

		$stagings = array();

		while ( $obj = mysql_fetch_object($db_result) ) {
			$stagings[] = new Staging($obj->id);
		}

		$conf['ui']->show_stagings($action, $stagings);
	}
	elseif ( $action == 'delete' || $action == 'Delete' ) {
		// show the confirm delete
		$staging = new Staging($staging_id);
		$zone  = new Zone($staging->zone);

		$conf['ui']->show_confirm("/staging.php?action=delete&really=1&staging_id=$staging_id","Are you sure you want to delete this staging permission? <b>($staging->username for $zone->name)</b>");
	}

?>

<?php show_template('footer'); ?>
