<?php

/*

 Copyright (c) 2002 Oregon State University - Network Engineering
 All rights reserved.

 $Id: option.php,v 1.5 2003/07/21 00:25:00 vollmerk Exp $
 $Source: /data/cvsroot/maint/modules/class/option.php,v $

 The subnet class definition for doing work with subnets.

*/

class Option {
	var $id;
	var $dhcp_option;
	var $dhcp_option_name;

	var $value;
	var $type;
	var $global;
	var $type_id;

	// we can populate this stuff from the database -- no sense in
	//   passing it in.
	function Option ( $option_id=0, $type=0, $global=0 ) {
		global $conf;

		$this->id   = $option_id;
		$this->type = $type;
		$this->global = $global;

		if ($this->id) { 
			$info = $this->get_info();
			$this->dhcp_option      = $info->dhcp_option;
			$this->dhcp_option_name = $this->get_option_name($this->dhcp_option);
			$this->value            = $info->value;

			if ( $this->type == 'subnet' ) {
				$this->type_id = $info->subnet;
			}
			elseif ( $this->type == 'workgroup' ) {
				$this->type_id = $info->workgroup;
			}

		} // if this->id
		
		else { 
			return false;
		}


	} // Option

	function get_info () {
		global $conf;
		
		if ($this->global) { 
			$sql = "SELECT * FROM " . $this->type . "_option_global WHERE id='$this->id'";
		}
		else { 
		$sql = "SELECT * FROM $this->type"."_option_local WHERE id='$this->id'";
		}
		$db_result = mysql_query($sql, $conf['dbh']);
		
		


		return mysql_fetch_object($db_result);
	} // get_info

	// return a VLAN object for this subnet
	function get_option_name ($option) {
		global $conf;

		$sql = "SELECT * FROM dhcp_options WHERE id=$option";
		$db_result = mysql_query($sql, $conf['dbh']);
		$obj = mysql_fetch_object($db_result);

		return $obj->name;
	} // get_option_name

	/*!
		@function update_global_option
		@discussion updates a global dhcp option
	*/
	function update_global_option($option_id,$value,$type) {
		global $conf;

		$sql = "UPDATE $type"."_option_global SET value='$value' WHERE id='$option_id'";
		$db_results = mysql_query($sql, $conf['dbh']);

	} // update_global_option

	/*!
		@function create_global_option
		@discussion creates a global dhcp option
	*/
	function create_global_option($dhcp_option,$value,$type) {
		global $conf;

		$sql = "INSERT INTO $type"."_option_global (dhcp_option,value) VALUES ('$dhcp_option','$value')";
		$db_results = mysql_query($sql, $conf['dbh']);
		$option_id = mysql_insert_id($conf['dbh']);

	return $option_id;

	} // create_global_option

	function delete ($type) {
		global $conf;

		$sql = "DELETE FROM $type"."_option_local WHERE id=$this->id";
		$db_result = mysql_query($sql, $conf['dbh']);
	} //delete

	/*!
		@function delete_global_option
		@discussion deletes a global option
	*/
	function delete_global_option($option_id,$type) {
		global $conf;

		$sql = "DELETE FROM $type"."_option_global WHERE id='$option_id'";
		$db_results = mysql_query($sql, $conf['dbh']);

	} // delete_global_option

} // class Option

?>
