<?php

/*

 Copyright (c) 2002 Oregon State University - Network Engineering
 All rights reserved.

 $Id: show_mx.inc,v 1.22 2003/04/18 23:19:29 vollmerk Exp $
 $Source: /data/cvsroot/maint/templates/show_mx.inc,v $

 Template for viewing/editing a single cname record

*/

// for those who are just searching, or aren't in a zone currently. 
if ($mx->zone->domains()) { $domains = $mx->zone->domains(); }

$history = $mx->object_history->get_history();

?>

<? if ($action_type) { ?>
<p><font class="header2">
<? 
if ($action_type == "modified") { echo "Updated $mx->hostname with the following information"; }
elseif ($action_type == "read") { echo "Viewing MX Record information for $mx->hostname"; } 
?>
</font>
&nbsp;

<? $conf['help']->display_help("mx_general"); ?>

<? if ($user->has_access($mx->zone->id)) { ?>
<a href = "mx.php?action=show_mx&mx_id=<? echo $mx->id; ?>">[Edit]</a>&nbsp;&nbsp;
<a href = "mx.php?action=delete&mx_id=<? echo $mx->id; ?>">[Delete]</a>
<? } ?>
</p>
<? show_template('tborder'); ?>
<table border="0" cellpadding="2" cellspacing="0" width="100%" bgcolor="<? echo $conf['light_bgcolor']?>">
        <tr align="left" bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>" width="100%">
                <td title="<? $conf['help']->display_plain_txt("hostname"); ?>"><? $conf['help']->show_help_link("hostname"); ?> Hostname: </td>
                <td><? $conf['ui']->display_field($mx->hostname); ?>
                </td>
        </tr>
        <tr align="left" bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
                <td title="<? $conf['help']->display_plain_txt("mx_server"); ?>"><? $conf['help']->show_help_link("mx_server"); ?> Server: </td>
                <td><? $conf['ui']->display_field($mx->server); ?>
                </td>
        </tr>
	<tr align="left" bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
		<td title="<? $conf['help']->display_plain_txt("domain"); ?>"><? $conf['help']->show_help_link("domain"); ?> Domain:</td>
		<td><? $conf['ui']->display_field($mx->domain->name); ?></td>
	</tr>
        <tr align="left" bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
                <td title="<? $conf['help']->display_plain_txt("mx_priority"); ?>"><? $conf['help']->show_help_link("mx_priority"); ?> Priority: </td>
                <td><? $conf['ui']->display_field($mx->priority); ?>
                </td>
        </tr><tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>" align="left">
		<td title="<? $conf['help']->display_plain_txt("mx_parent_zone"); ?>"><? $conf['help']->show_help_link("mx_parent_zone"); ?> Parent Zone:</td>
		<td><? $conf['ui']->display_field($mx->zone->name); ?></td>
	</tr>
        <tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>" align="left">
                <td title="<? $conf['help']->display_plain_txt("generic_comment"); ?>"><? $conf['help']->show_help_link("generic_comment"); ?>Comment: </td>
                <td><? $conf['ui']->display_field($history->comment); ?></td>
        </tr>
        <tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>" align="left">
                <td title="<? $conf['help']->display_plain_txt("who_update"); ?>"><? $conf['help']->show_help_link("who_update"); ?>Last Updated By: </td>
                <td>
                <? if ($history->username) { ?>
                        <? $conf['ui']->display_field($history->username); ?><?= " on " . date("F j, Y",$history->date) . " at " . date("g:i a",$history->date); ?>
                <? } else { ?>
                        N/A
                <? } ?>
                </td>
        </tr>   

</table>
<? show_template('bborder'); ?>

<? } else { ?>
<p><font class="header2">Editing MX Record information for <? echo $mx->hostname ?></font></p>

<? $conf['help']->display_help("mx_general"); ?>

<form name="edit_mx" enctype="multipart/form-data" method="post" action="mx.php" style="Display:inline">
<? show_template('tborder'); ?>
<table border="0" cellpadding="2" cellspacing="0" width="100%">
	<tr align="left" bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>" width="100%">
    		<td title="<? $conf['help']->display_plain_txt("hostname"); ?>"><? $conf['help']->show_help_link("hostname"); ?> Name: </td>
                <td>
			<? if ($mx->zone->has_domain_access($mx->domain->id) or $user->is_admin) { ?>
                        <input name="name" value="<? echo $mx->name ?>" size="35" />
			<? if ($conf['error']->get_status('name') ) { $conf['error']->show_message('name'); } ?>
			<? } 
				else {
				   $conf['ui']->display_field($mx->name); 
				   echo "<input type=\"hidden\" name=\"name\" value=\"$mx->name\" />";
				   } 
			?>
                </td>
	</tr>
        <tr align="left" bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
                <td title="<? $conf['help']->display_plain_txt("domain"); ?>"><? $conf['help']->show_help_link("domain"); ?> Domain: </td>
                <td><? if ($user->is_admin) { ?><input type="radio" name="domain_select" value="user" CHECKED /><? } ?>
			<? 
			if ($mx->zone->has_domain_access($mx->domain->id)) {
				$conf['ui']->show_domain_select($domains, $mx->domain->id);
			}
			else {
				echo "<input type=\"hidden\" name=\"domain_id\" value=\"" . $mx->domain->id . "\" />"; 
				$domain_name = $mx->domain->name; 
				$conf['ui']->display_field($domain_name);
			}
			?>
                </td>
        </tr>
        <? if ($user->is_admin) { ?>
        <tr align="left" bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
                <td title="<? $conf['help']->display_plain_txt("domain"); ?>"><? $conf['help']->show_help_link("domain"); ?> Admin Domains: </td>
                <td><input type="radio" name="domain_select" value="admin" />
                <?
                //if they are a admin allow them to movie it anywhere!
                $admin_domains = $conf['ui']->get_domains("SELECT * FROM domain ORDER BY name ASC");
                $conf['ui']->show_domain_select($admin_domains, $mx->domain->id,"admin_domain_id");
                ?>
                </td>
        </tr>
        <? } ?>
	<tr align="left" bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
                <td title="<? $conf['help']->display_plain_txt("mx_server"); ?>"><? $conf['help']->show_help_link("mx_server"); ?> Server Name: </td>
                <td>
                        <input name="server" value="<? echo $mx->server ?>" size="35" />
			<? if ($conf['error']->get_status('server') ) { $conf['error']->show_message('server'); } ?>
		</td>
        </tr>
	<tr align="left" bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
		<td title="<? $conf['help']->display_plain_txt("mx_priority"); ?>"><? $conf['help']->show_help_link("mx_priority"); ?> Priority:</td>
		<td>
			<select name="priority">
                                <option value="5" <? if ($mx->priority == "5") { echo "SELECTED"; } ?> >5</option>
                                <option value="10" <? if ($mx->priority == "10") { echo "SELECTED"; } ?> >10</option>
                                <option value="15" <? if ($mx->priority == "15") { echo "SELECTED"; } ?> >15</option>
                        </select>
		</td>
	</tr>
        <tr align="left" bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
                <td title="<? $conf['help']->display_plain_txt('generic_comment'); ?>" valign="top"><? $conf['help']->show_help_link('generic_comment'); ?>
                        Comment:
                        <a href="<?= $conf['web_path']; ?>/help.php?action=show_comments&amp;object_id=<?= $mx->id; ?>&amp;object_name=<?= $mx->hostname; ?>&amp;object_type=mx">
                        [View All Comments]
                        </a>
                </td>
                <td>
                <textarea name="comment" cols="45" rows="5"><?= $history->comment; ?></textarea>
                </td>
        </tr>
	<tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>" align="left">
		<td title="<? $conf['help']->display_plain_txt("mx_parent_zone"); ?>"><? $conf['help']->show_help_link("mx_parent_zone"); ?> Parent Zone:</td>
		<td><? $conf['ui']->display_field($mx->zone->name); ?></td>
	</tr>
        <tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>" align="left">
                <td title="<? $conf['help']->display_plain_txt("who_update"); ?>"><? $conf['help']->show_help_link("who_update"); ?>Last Updated By: </td>
                <td>
                <? if ($history->date) { ?>
                        <? $conf['ui']->display_field($history->username); ?><?= " on " . date("F j, Y",$history->date) . " at " . date("g:i a",$history->date); ?>
                <? } else { ?>
                        N/A
                <? } ?>
                </td>
        </tr>
	<tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
		<td align="center" colspan="2">
			<? if ( $user->has_access($mx->zone->id) ) { ?>
			<input type="submit" name="action" value="update" />
			<input type="submit" name="action" value="delete" />
			<input type="submit" name="action" value="Cancel" />
			<? } else { ?>
			<input type="submit" name="action" value="Return" />
			<? } ?>
		</td>
	</tr>
</table>
<? show_template('bborder'); ?>
<input type="hidden" name="mx_id" value="<? echo $mx->id ?>" />
</form>
<? if ($user->is_admin) { ?>
<p><font class="header2">Move the MX Record <?= $mx->hostname; ?> to another Zone.</font></p>
<? show_template('tborder'); ?>
<table border="0" cellpadding="2" cellspacing="0" width="100%" bgcolor="<?= $conf['light_bgcolor']; ?>">
	<tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>" align="left">
		<td>Move <?= $mx->hostname; ?> to.</td>
		<td>
		<form method="post" enctype="multipart/form-data" action="mx.php" style="Display:inline">
		<input type="hidden" name="mx_id" value="<?= $mx->id; ?>" />
		<input type="hidden" name="action" value="move" />
		<? //zone list mojo time!
		$zones = $user->zones(); 
		$conf['ui']->show_zone_select($zones,$zones[0],"zone_id");
		?>
		</td>
		<td>
		<input type="submit" value="Move MX Record" />
		</form>
		</td>

</table>
<? show_template('bborder'); ?>
<? } ?>
<? } ?>
