<?php

/*

 $Id: show_options.inc,v 1.8 2003/07/20 23:54:39 vollmerk Exp $
 $Source: /data/cvsroot/maint/templates/show_options.inc,v $

 Copyright (c) 2002 Oregon State University - Network Engineering
 All rights reserved.

 This program is free software; you can redistribute it and/or
 modify it under the terms of the GNU General Public License
 as published by the Free Software Foundation; either version 2
 of the License, or (at your option) any later version.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

/*!
        @header Show Options Template
	Show a listing of the DHCP options for this workgroup or
	subnet.  They use the same option types.

*/

?>

<p class="header2">
Viewing DHCP Options for <?=  $type ?>
</p>
<?
if ($action != 'view' AND $action != 'show_global_options') { 
	$items = array();
	$items[] = "<a href=\"" . $conf['web_path'] . "/" . $type . ".php?action=edit&amp;" . $type . "_id=$type_id\">View the $type assoicated with this Option</a>";
	$items[] = "<a href=\"" . $conf['web_path'] . "/option.php?action=show_create&amp;" . $type ."_id=$type_id\">Add a new DHCP Option to this $type</a>";
	$conf['ui']->display_top_widget($items);
}


show_template('tborder'); 
if ( $user->view->limit ) {
	$conf['ui']->show_list_header( count($options) );
}

?>

<table border="0" cellpadding="2" cellspacing="0" width="100%">
	<tr align="center" bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
    		<td title="<? $conf['help']->display_plain_txt("options_dhcp"); ?>">DHCP Option</td>
    		<td title="<? $conf['help']->display_plain_txt("options_value"); ?>">Value</td>
                <td>Action</td>
	</tr>

<?
if (count($options)) { 
foreach ($options as $option) {

?>
	<tr align="center" bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
		<td><? $conf['ui']->display_field($option->dhcp_option_name); ?></td>
		<td><? $conf['ui']->display_field($option->value); ?></td>
		<td>
			<? if ($action == 'show_global_options') { ?>
			<a href="<?= $conf['web_path']; ?>/option.php?action=edit_global&amp;option_id=<?= $option->id; ?>&amp;type=<?= $type; ?>">Edit</a> | 
			<a href="<?= $conf['web_path']; ?>/option.php?action=delete_global&amp;option_id=<?=  $option->id ?>&amp;type=<?= $type ?>">Delete</a>			
			<? } elseif ($action != 'view') { ?>
			<a href="<?= $conf['web_path']; ?>/option.php?action=edit&amp;option_id=<?=  $option->id ?>&amp;type=<?=  $type ?>">Edit</a> |
			<a href="<?= $conf['web_path']; ?>/option.php?action=delete&amp;option_id=<?=  $option->id ?>&amp;type=<?= $type ?>&type_id=<?= $type_id ?>">Delete</a>
			<? } else { ?>
			No Actions
			<? } ?>
		</td>
	</tr>
<?
} // foreach

} // if there are options

else {
?>
	<tr align="center" bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
		<td colspan="3" class="error">No Workgroup Options Found</td>
	</tr>
<?
} // else no options there
?>

</table>

<?

if ( $user->view->limit ) {
	$conf['ui']->show_list_header($total_subnets[0]);
}
show_template('bborder'); 
?>

