<?php

/*

 Copyright (c) 2002 Oregon State University - Network Engineering
 All rights reserved.

 $Id: show_range_comment.inc,v 1.5 2003/07/16 21:03:06 vollmerk Exp $
 $Source: /data/cvsroot/maint/templates/show_range_comment.inc,v $

 Copyright (c) 2002 Oregon State University - Network Engineering
 All rights reserved.

 This program is free software; you can redistribute it and/or
 modify it under the terms of the GNU General Public License
 as published by the Free Software Foundation; either version 2
 of the License, or (at your option) any later version.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

/*!
	@header Show Range Comment Template
	Template for viewing/editing a single cname record

*/


//first are we displaying or are we editing....
if ($action == "display_range_comment") { 
	//Display the comment(s)


	//show the top template
	?> <p><font class="header2">Range Comments</font>&nbsp;&nbsp;<a href="#" ONCLICK="self.close(); return false" Language="javascript">[Close Window]</a></p> <?
	show_template('tborder');
	?> 
	<table border="0" cellpadding="3" cellspacing="0" width="100%" bgcolor="<?= $conf['body_bgcolor'] ?>"> 
	<tr align="center" bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>"> 
		<td> Action </td>
		<td> IP Address Range </td>
		<td> Default Domain </td>
		<td> Comment </td>
	</tr>
	<?
	
	foreach ($ranges as $range) { 

	//replace \n with <br />
	$range->comment = str_replace("\n","<br />\n",$range->get_comment());

		?>
		<tr align="center" bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
			<td valign="top">
			<? if ($user->is_admin || $user->is_zone_admin) { ?>
			<a href="<?= $conf['web_path']; ?>/range.php?action=edit_range_comment&range_id=<?= $range->id; ?>">[Edit]</a>
			<? } else { ?>
			No Actions
			<? } ?>
			</td>
			<td valign="top"><?= $range->start->ip_addr; ?> -- <?= $range->end->ip_addr; ?></td>
			<td valign="top"><?= $range->default_domain->name; ?></td>
			<td><?= $range->comment; ?></td>
		</tr>
		<?
	} //end foreach
	?> </table> <?
	show_template('bborder');
        ?> <p><a href="#" ONCLICK="self.close(); return false" Language="javascript">[Close Window]</a></p> <?

} //end display_range_comment
/*
#############################
EDITING RANGE COMMENTS
############################
*/

elseif ($action == "edit_range_comment") { 

	//Ok, now show the edit form
	?> <form action="<?= $conf['web_path']; ?>/range.php" method="post" enctype="multipart/form-data" style="Display:inline"> <?
	show_template('tborder');
	?> 
	<table border="0" cellpadding="3" cellspacing="0" width="100%" bgcolor="<?= $conf['body_bgcolor'] ?>">
	
		<tr valign="top"align="left" bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
			<td><?= $range->start->ip_addr; ?> -- <?= $range->end->ip_addr; ?></td>
			<td>
			<textarea name="comment" cols="60" rows="10">
			<?=  $range->get_comment();?>
			</textarea>
			</td>
		</tr>
		<tr align="left" bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
			<td>&nbsp;</td>
			<td>
			<input type="hidden" value="update_comment" name="action" />
			<input type="hidden" value="<?= $range_id; ?>" name="range_id" />
			<input type="submit" value="Update Comment" />&nbsp;&nbsp;
			<input type="submit" name="action" value="Cancel" />
			</td>
		</tr>
	</table>
	<? show_template('bborder'); ?>
	</form>
	<?
} //end edit_range_comment	
