<?php

/*

 Copyright (c) 2002 Oregon State University - Network Engineering
 All rights reserved.

 $Id: vlan.php,v 1.4 2002/07/17 22:03:06 vollmerk Exp $
 $Source: /data/cvsroot/maint/modules/class/vlan.php,v $

 The vlan object ... this is a class that doesn't relate to
   any other class ... a leaf class.

*/

class VLAN {
	var $id;
	var $name;
	var $vlan_id; // this is a vlan id used in the switch/router fabric

	function VLAN ( $id = 0, $name = '', $vlan_id = 0 ) {
		global $conf;

		$this->id = $id;

		// if this is 0 there's not point in doing the lookup
		if ( $this->id ) {
			$info = $this->get_info();
		}

		if ( ! $info ) {
			return false;
		}

		$this->id	= $info->id;
		$this->name     = $info->name;
		$this->vlan_id  = $info->vlan_id;
	} // VLAN

	function get_info () {
		global $conf;

		$sql = "SELECT * FROM vlan WHERE id='$this->id'";
		$db_result = mysql_query($sql, $conf['dbh']);

		return mysql_fetch_object($db_result);
	} // get_info
	

	// the update functions... there are a bunch of them
	function update_name ($newname)
	{
		$this->update_item('name', $newname);
		$this->name = $newname;
	}

	function update_vlan_id ($newvlan_id)
	{
		$this->update_item('vlan_id', $newvlan_id);
		$this->vlan_id = $newvlan_id;
	}	

	function update_item($type, $new_item)
	{

		global $conf;

		$sql = "UPDATE vlan SET $type='$new_item' WHERE id='$this->id'";
		$db_results = mysql_query($sql, $conf['dbh']);

	} // update_item

	// end of the update functions
}

?>
